Bug 20725 - Include TrueType fonts in urw-fonts for compatibility with LibreOffice 5.3
Summary: Include TrueType fonts in urw-fonts for compatibility with LibreOffice 5.3
Status: RESOLVED FIXED
Alias: None
Product: Mageia
Classification: Unclassified
Component: New RPM package request (show other bugs)
Version: Cauldron
Hardware: All Linux
Priority: Normal major
Target Milestone: Mageia 7
Assignee: José Jorge
QA Contact:
URL: http://git.ghostscript.com/?p=urw-cor...
Whiteboard:
Keywords: IN_ERRATA6
Depends on:
Blocks:
 
Reported: 2017-04-23 01:14 CEST by Frédéric "LpSolit" Buclin
Modified: 2019-03-05 15:11 CET (History)
7 users (show)

See Also:
Source RPM: urw-fonts-2.4-7.mga6
CVE:
Status comment:


Attachments

Description Frédéric "LpSolit" Buclin 2017-04-23 01:14:56 CEST
LibreOffice developers decided to drop support for Type 1 fonts in LibreOffice 5.3 and newer, see https://bugs.documentfoundation.org/show_bug.cgi?id=104701. This means that URW Type 1 fonts provided by urw-fonts-2.4-7.mga6 are no longer usable. As Mageia 6 already provides LibreOffice 5.3, the urw-fonts package should also include TrueType (and/or OpenType) fonts to not break the format of documents written with LibreOffice 5.2 and older and using these fonts. These TTF and ODF fonts are available from here:

http://git.ghostscript.com/?p=urw-core35-fonts.git;a=tree

Either that or create a new fonts-ttf-urw package. :)
Comment 1 Marja Van Waes 2017-04-23 01:40:04 CEST
Assigning to all packagers collectively, since there is no registered maintainer for this package.

Assignee: bugsquad => pkg-bugs
CC: (none) => marja11

Comment 2 David Walser 2017-05-14 02:04:28 CEST
Thanks for the report.  They should be added in a new package.  I also have an update for urw-fonts halfway done that I never finished.  Maybe I will some day.

Component: RPM Packages => New RPM package request
Severity: normal => major

Comment 3 katnatek 2017-06-01 21:44:48 CEST
(In reply to David Walser from comment #2)
> Thanks for the report.  They should be added in a new package.  I also have
> an update for urw-fonts halfway done that I never finished.  Maybe I will
> some day.

"Close" to final release an still is valid.

CC: (none) => j.alberto.vc

Comment 4 Samuel Verschelde 2017-07-10 15:16:50 CEST
(In reply to katnatek from comment #3)
> (In reply to David Walser from comment #2)
> > Thanks for the report.  They should be added in a new package.  I also have
> > an update for urw-fonts halfway done that I never finished.  Maybe I will
> > some day.
> 
> "Close" to final release an still is valid.

Bugs are fixed on a voluntary basis. We're sorry that it will not be fixed for the final release but it can still be afterwards through an update.

It would be good to add a note about this in the Errata, thus I'm adding the FOR_ERRATA6 keyword.

Once added to https://wiki.mageia.org/en/Mageia_6_Errata please replace FOR_ERRATA6 with IN_ERRATA6.
Samuel Verschelde 2017-07-10 15:21:11 CEST

Keywords: (none) => FOR_ERRATA6

Comment 5 Hurr 2018-01-04 23:01:15 CET
It's the same with x11-font-bh* packages, wich contain the Luxi font family, but not in TTF format. I think Mageia sould update these packages for including the TTF versions, availables in https://www.x.org/releases/individual/font/font-bh-ttf-1.0.3.tar.bz2

Thanks!

CC: (none) => peixe80

Comment 6 katnatek 2018-01-11 00:54:58 CET
Added to english Erratas for Mageia 6 but i can't change the keywords field
Comment 7 Frédéric "LpSolit" Buclin 2018-01-11 21:14:24 CET
(In reply to katnatek from comment #6)
> i can't change the keywords field

Now you can. :)
katnatek 2018-01-12 00:27:08 CET

Keywords: FOR_ERRATA6 => IN_ERRATA6

Comment 8 katnatek 2018-01-12 00:42:47 CET
Please some one put this and the netflix issue in the french erratas
Jérôme Hénin 2018-02-01 10:25:38 CET

CC: (none) => heninj

Comment 9 Thomas Morrison 2019-03-05 07:44:15 CET
Actually, I have been utilizing just free-licensed text styles throughout the previous couple of years, few of which are in Type 1 position. I currently need to either squander my time on conversions, https://www.assignmentland.co.uk or else hold a more established copy of LibreOffice in the event that I need to proceed with access to legacy documents.

CC: (none) => judeelliot2

Comment 10 José Jorge 2019-03-05 09:03:33 CET
I've just discovered this bug. I am creating a urw-fonts-true-type package, then I will add it to libreoffice recommends.

Status: NEW => ASSIGNED
CC: (none) => lists.jjorge

José Jorge 2019-03-05 09:03:42 CET

Assignee: pkg-bugs => lists.jjorge

Comment 11 José Jorge 2019-03-05 09:26:15 CET
For Mageia 7 users, I have added a recommends on urw-fonts-truetype package to fix this bug.

Better late than never!

Resolution: (none) => FIXED
Status: ASSIGNED => RESOLVED
Target Milestone: Mageia 6 => Mageia 7

Comment 12 Thierry Vignaud 2019-03-05 11:14:31 CET
No you added a recommends to the SRPM...
Check where are the other font deps next time...

Also the "urw-fonts-true-type" doesn't respect the packaging convention for fonts in Mageia... (fonts-ttf-<foobar>)
Please rename it

CC: (none) => thierry.vignaud

Comment 13 José Jorge 2019-03-05 15:11:24 CET
(In reply to Thierry Vignaud from comment #12)
> No you added a recommends to the SRPM...
> Check where are the other font deps next time...
> 

Sorry

> Also the "urw-fonts-true-type" doesn't respect the packaging convention for
> fonts in Mageia... (fonts-ttf-<foobar>)
> Please rename it

Yes, I forgot this Mageia policy... done with fonts-ttf-urw !

Note You need to log in before you can comment on or make changes to this bug.